Re: Issue 9 in boblight: OLA support

95 views
Skip to first unread message

Rowan Maclachlan

unread,
Sep 12, 2010, 6:54:40 PM9/12/10
to codesite...@google.com, open-l...@googlegroups.com
I think that's protobuf, not Ola that's the problem... Did you install
protobuf?

Sent from my iPhone

On 13/09/2010, at 8:06 AM, bobl...@googlecode.com wrote:

>
> Comment #23 on issue 9 by bob.loo...@gmail.com: OLA support
> http://code.google.com/p/boblight/issues/detail?id=9
>
> Would be nice if I could actually compile olad:
> {{{
> /bin/bash ../../libtool --tag=CXX --mode=compile ccache g++ -
> DHAVE_CONFIG_H -I. -I../.. -I../../include -Wall -Wformat -W -
> Werror -Wno-deprecated -g -O2 -MT Rpc.pb.lo -MD -MP -MF .deps/
> Rpc.pb.Tpo -c -o Rpc.pb.lo Rpc.pb.cc
> libtool: compile: ccache g++ -DHAVE_CONFIG_H -I. -I../.. -I../../
> include -Wall -Wformat -W -Werror -Wno-deprecated -g -O2 -MT
> Rpc.pb.lo -MD -MP -MF .deps/Rpc.pb.Tpo -c Rpc.pb.cc -fPIC -DPIC -
> o .libs/Rpc.pb.o
> cc1plus: warnings being treated as errors
> Rpc.pb.cc: In copy constructor ‘ola::rpc::RpcMessage::RpcMessage(con
> st ola::rpc::RpcMessage&)’:
> Rpc.pb.cc:143: error: base class ‘class
> google::protobuf::Message’ should be explicitly initialized in the c
> opy constructor
> }}}
>
> --
> You received this message because you starred the issue.
> You may adjust your notification preferences at:
> https://code.google.com/hosting/settings

Simon Newton

unread,
Sep 12, 2010, 7:07:16 PM9/12/10
to open-l...@googlegroups.com, bobl...@googlecode.com, dmx...@gmail.com
You need the latest version of libprotobuf:

http://code.google.com/p/protobuf/issues/detail?id=123

The other option is to turn off -Werror in common.mk and re-run autoreconf &&

./configure

On Sun, Sep 12, 2010 at 3:54 PM, Rowan Maclachlan <dmx...@gmail.com> wrote:
> I think that's protobuf, not Ola that's the problem... Did you install
> protobuf?
>
> Sent from my iPhone
>
> On 13/09/2010, at 8:06 AM, bobl...@googlecode.com wrote:
>
>>
>> Comment #23 on issue 9 by bob.loo...@gmail.com: OLA support
>> http://code.google.com/p/boblight/issues/detail?id=9
>>
>> Would be nice if I could actually compile olad:
>> {{{
>> /bin/bash ../../libtool --tag=CXX   --mode=compile ccache g++

>> -DHAVE_CONFIG_H -I. -I../..  -I../../include -Wall -Wformat -W -Werror
>> -Wno-deprecated   -g -O2 -MT Rpc.pb.lo -MD -MP -MF .deps/Rpc.pb.Tpo -c -o


>> Rpc.pb.lo Rpc.pb.cc
>> libtool: compile:  ccache g++ -DHAVE_CONFIG_H -I. -I../.. -I../../include
>> -Wall -Wformat -W -Werror -Wno-deprecated -g -O2 -MT Rpc.pb.lo -MD -MP -MF

>> .deps/Rpc.pb.Tpo -c Rpc.pb.cc  -fPIC -DPIC -o .libs/Rpc.pb.o


>> cc1plus: warnings being treated as errors
>> Rpc.pb.cc: In copy constructor ‘ola::rpc::RpcMessage::RpcMessage(const
>> ola::rpc::RpcMessage&)’:
>> Rpc.pb.cc:143: error: base class ‘class google::protobuf::Message’ should

>> be explicitly initialized in the copy constructor


>> }}}
>>
>> --
>> You received this message because you starred the issue.
>> You may adjust your notification preferences at:
>> https://code.google.com/hosting/settings
>

> --
> open-l...@googlegroups.com  /
>  http://groups.google.com/group/open-lighting
> To unsubscribe email open-lightin...@googlegroups.com
>

Reply all
Reply to author
Forward
0 new messages